From 62027c8f042e6b6a7c565e8ca74d23f416f58d33 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Fri, 15 Nov 2024 11:22:09 +0000
Subject: [PATCH] cmake,cmake-native: upgrade 3.30.5 -> 3.31.0,3.30.5 -> 3.31.0

---
 ...ative_3.30.5.bb => cmake-native_3.31.0.bb} | 37 +++++++++++++++----
 meta/recipes-devtools/cmake/cmake.inc         |  2 +-
 ...mpilerABI-Strip-pipe-from-compile-fl.patch |  4 +-
 ...1-CMakeLists.txt-disable-USE_NGHTTP2.patch |  6 +--
 ...xt2fs-ext2_fs.h-by-cmake-s-internal-.patch |  6 +--
 .../{cmake_3.30.5.bb => cmake_3.31.0.bb}      |  0
 6 files changed, 38 insertions(+), 17 deletions(-)
 rename meta/recipes-devtools/cmake/{cmake-native_3.30.5.bb => cmake-native_3.31.0.bb} (56%)
 rename meta/recipes-devtools/cmake/{cmake_3.30.5.bb => cmake_3.31.0.bb} (100%)

diff --git a/meta/recipes-devtools/cmake/cmake-native_3.30.5.bb b/meta/recipes-devtools/cmake/cmake-native_3.31.0.bb
similarity index 56%
rename from meta/recipes-devtools/cmake/cmake-native_3.30.5.bb
rename to meta/recipes-devtools/cmake/cmake-native_3.31.0.bb
index ddc41f289e..5d40043a54 100644
--- a/meta/recipes-devtools/cmake/cmake-native_3.30.5.bb
+++ b/meta/recipes-devtools/cmake/cmake-native_3.31.0.bb
@@ -1,6 +1,35 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- Utilities/cmexpat/COPYING
+# +++ Utilities/cmexpat/COPYING
+# @@ -1,5 +1,5 @@
+#  Copyright (c) 1998-2000 Thai Open Source Software Center Ltd and Clark Cooper
+# -Copyright (c) 2001-2019 Expat maintainers
+# +Copyright (c) 2001-2022 Expat maintainers
+#  
+#  Permission is hereby granted, free of charge, to any person obtaining
+#  a copy of this software and associated documentation files (the
+# 
+#
+
 require cmake.inc
 inherit native
 
+LIC_FILES_CHKSUM += "file://Copyright.txt;md5=718f05155941b33862726348d3cd46ce \
+                    file://Source/cmake.h;beginline=1;endline=2;md5=a5f70e1fef8614734eae0d62b4f5891b \
+                    file://Utilities/cmjsoncpp/LICENSE;md5=5d73c165a0f9e86a1342f32d19ec5926 \
+                    file://Utilities/cmlibarchive/COPYING;md5=d499814247adaee08d88080841cb5665 \
+                    file://Utilities/cmexpat/COPYING;md5=7b3b078238d0901d3b339289117cb7fb \
+                    file://Utilities/cmlibrhash/COPYING;md5=a8c2a557a5c53b1c12cddbee98c099af \
+                    file://Utilities/cmlibuv/LICENSE;md5=ad93ca1fffe931537fcf64f6fcce084d \
+                    file://Utilities/cmcurl/COPYING;md5=eed2e5088e1ac619c9a1c747da291d75 \
+                    "
 DEPENDS += "bzip2-replacement-native xz-native zlib-native ncurses-native zstd-native openssl-native"
 
 SRC_URI += "file://OEToolchainConfig.cmake \
@@ -10,14 +39,6 @@ SRC_URI += "file://OEToolchainConfig.cmake \
             "
 
 LICENSE:append = " & BSD-1-Clause & MIT & BSD-2-Clause & curl"
-LIC_FILES_CHKSUM:append = " \
-    file://Utilities/cmjsoncpp/LICENSE;md5=5d73c165a0f9e86a1342f32d19ec5926 \
-    file://Utilities/cmlibarchive/COPYING;md5=d499814247adaee08d88080841cb5665 \
-    file://Utilities/cmexpat/COPYING;md5=9e2ce3b3c4c0f2670883a23bbd7c37a9 \
-    file://Utilities/cmlibrhash/COPYING;md5=a8c2a557a5c53b1c12cddbee98c099af \
-    file://Utilities/cmlibuv/LICENSE;md5=ad93ca1fffe931537fcf64f6fcce084d \
-    file://Utilities/cmcurl/COPYING;md5=eed2e5088e1ac619c9a1c747da291d75 \
-"
 
 B = "${WORKDIR}/build"
 do_configure[cleandirs] = "${B}"
diff --git a/meta/recipes-devtools/cmake/cmake.inc b/meta/recipes-devtools/cmake/cmake.inc
index 1f1d63cad6..d32e2084ef 100644
--- a/meta/recipes-devtools/cmake/cmake.inc
+++ b/meta/recipes-devtools/cmake/cmake.inc
@@ -20,7 +20,7 @@ SRC_URI = "https://cmake.org/files/v${CMAKE_MAJOR_VERSION}/cmake-${PV}.tar.gz \
            file://0001-CMakeDetermineCompilerABI-Strip-pipe-from-compile-fl.patch \
            "
 
-SRC_URI[sha256sum] = "9f55e1a40508f2f29b7e065fa08c29f82c402fa0402da839fffe64a25755a86d"
+SRC_URI[sha256sum] = "300b71db6d69dcc1ab7c5aae61cbc1aa2778a3e00cbd918bc720203e311468c3"
 
 UPSTREAM_CHECK_REGEX = "cmake-(?P<pver>\d+(\.\d+)+)\.tar"
 
diff --git a/meta/recipes-devtools/cmake/cmake/0001-CMakeDetermineCompilerABI-Strip-pipe-from-compile-fl.patch b/meta/recipes-devtools/cmake/cmake/0001-CMakeDetermineCompilerABI-Strip-pipe-from-compile-fl.patch
index 47373c194e..57d5f08149 100644
--- a/meta/recipes-devtools/cmake/cmake/0001-CMakeDetermineCompilerABI-Strip-pipe-from-compile-fl.patch
+++ b/meta/recipes-devtools/cmake/cmake/0001-CMakeDetermineCompilerABI-Strip-pipe-from-compile-fl.patch
@@ -1,4 +1,4 @@
-From 7fa115171a658d5358e15dcb40b233d049acae2f Mon Sep 17 00:00:00 2001
+From 29046e1308bec72cc21b0b00e979906f5a1fb63f Mon Sep 17 00:00:00 2001
 From: Philip Lorenz <philip.lorenz@bmw.de>
 Date: Mon, 3 Jun 2024 13:19:24 +0200
 Subject: [PATCH] CMakeDetermineCompilerABI: Strip -pipe from compile flags
@@ -35,7 +35,7 @@ Signed-off-by: Philip Lorenz <philip.lorenz@bmw.de>
  1 file changed, 8 insertions(+), 1 deletion(-)
 
 diff --git a/Modules/CMakeDetermineCompilerABI.cmake b/Modules/CMakeDetermineCompilerABI.cmake
-index 4a75e25a92..806f0b715d 100644
+index 4a75e25a..806f0b71 100644
 --- a/Modules/CMakeDetermineCompilerABI.cmake
 +++ b/Modules/CMakeDetermineCompilerABI.cmake
 @@ -52,14 +52,21 @@ function(CMAKE_DETERMINE_COMPILER_ABI lang src)
diff --git a/meta/recipes-devtools/cmake/cmake/0001-CMakeLists.txt-disable-USE_NGHTTP2.patch b/meta/recipes-devtools/cmake/cmake/0001-CMakeLists.txt-disable-USE_NGHTTP2.patch
index 7dc07582da..87efbd993d 100644
--- a/meta/recipes-devtools/cmake/cmake/0001-CMakeLists.txt-disable-USE_NGHTTP2.patch
+++ b/meta/recipes-devtools/cmake/cmake/0001-CMakeLists.txt-disable-USE_NGHTTP2.patch
@@ -1,4 +1,4 @@
-From 5e624d82c2838fec2f41ebec124f74aacff9e61f Mon Sep 17 00:00:00 2001
+From 80655318696091d27d131e8c4a48140e37e73366 Mon Sep 17 00:00:00 2001
 From: Changqing Li <changqing.li@windriver.com>
 Date: Wed, 28 Dec 2022 17:51:27 +0800
 Subject: [PATCH] CMakeLists.txt: disable USE_NGHTTP2
@@ -22,10 +22,10 @@ Signed-off-by: Trevor Gamblin <tgamblin@baylibre.com>
  1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/Utilities/cmcurl/CMakeLists.txt b/Utilities/cmcurl/CMakeLists.txt
-index b766aee4..34ae7d2a 100644
+index ef6c269e..ecaac497 100644
 --- a/Utilities/cmcurl/CMakeLists.txt
 +++ b/Utilities/cmcurl/CMakeLists.txt
-@@ -94,7 +94,7 @@ set(USE_ECH OFF)
+@@ -99,7 +99,7 @@ set(USE_ECH OFF)
  set(USE_HTTPSRR OFF)
  set(USE_LIBIDN2 ON)
  set(USE_LIBRTMP OFF)
diff --git a/meta/recipes-devtools/cmake/cmake/0005-Disable-use-of-ext2fs-ext2_fs.h-by-cmake-s-internal-.patch b/meta/recipes-devtools/cmake/cmake/0005-Disable-use-of-ext2fs-ext2_fs.h-by-cmake-s-internal-.patch
index 8788cc7964..9071d0f559 100644
--- a/meta/recipes-devtools/cmake/cmake/0005-Disable-use-of-ext2fs-ext2_fs.h-by-cmake-s-internal-.patch
+++ b/meta/recipes-devtools/cmake/cmake/0005-Disable-use-of-ext2fs-ext2_fs.h-by-cmake-s-internal-.patch
@@ -1,4 +1,4 @@
-From b97f7dbb2637c6da772833c93bedc8be77520fb9 Mon Sep 17 00:00:00 2001
+From 2b8f6d4a5fddb5212ce07f0c61f5a3edbf5187d4 Mon Sep 17 00:00:00 2001
 From: Otavio Salvador <otavio@ossystems.com.br>
 Date: Thu, 5 Jul 2018 10:28:04 -0300
 Subject: [PATCH] Disable use of ext2fs/ext2_fs.h by cmake's internal
@@ -18,10 +18,10 @@ Signed-off-by: Otavio Salvador <otavio@ossystems.com.br>
  1 file changed, 2 insertions(+), 6 deletions(-)
 
 diff --git a/Utilities/cmlibarchive/CMakeLists.txt b/Utilities/cmlibarchive/CMakeLists.txt
-index e47184b7..e4964c32 100644
+index feeaa3b7..c301fb25 100644
 --- a/Utilities/cmlibarchive/CMakeLists.txt
 +++ b/Utilities/cmlibarchive/CMakeLists.txt
-@@ -721,12 +721,8 @@ LA_CHECK_INCLUDE_FILE("copyfile.h" HAVE_COPYFILE_H)
+@@ -745,12 +745,8 @@ LA_CHECK_INCLUDE_FILE("copyfile.h" HAVE_COPYFILE_H)
  LA_CHECK_INCLUDE_FILE("direct.h" HAVE_DIRECT_H)
  LA_CHECK_INCLUDE_FILE("dlfcn.h" HAVE_DLFCN_H)
  LA_CHECK_INCLUDE_FILE("errno.h" HAVE_ERRNO_H)
diff --git a/meta/recipes-devtools/cmake/cmake_3.30.5.bb b/meta/recipes-devtools/cmake/cmake_3.31.0.bb
similarity index 100%
rename from meta/recipes-devtools/cmake/cmake_3.30.5.bb
rename to meta/recipes-devtools/cmake/cmake_3.31.0.bb
-- 
2.44.1

